package com.flossom.miniProgram.service;

import com.flossom.common.core.domain.entity.WxClockLog;
import com.flossom.common.core.domain.entity.WxClockStatistics;
import com.flossom.common.core.domain.req.WxClockLogReq;
import com.flossom.common.core.domain.ret.WxClockLogRet;

import java.util.List;

public interface IWxClockLogService {

    public void insertWxClockLog(WxClockLogReq wxClockLogReq);

    void addClockInstrument(Long instrumentId);

    WxClockLogRet latestClockRecord();

    List<WxClockLogRet> selectWxClockLogList(WxClockLog queryClockLog);

    List<WxClockStatistics> clockStatistics(Integer year);

    void clockStatisticsTimedTask(List<Long> userIdList, Integer year, Integer month);
}
